\ 430eforth-fr5969-43n7vis :  gpio-examples.fs                        MM-210323
\ ------------------------------------------------------------------------------

#require gpio

-fr5969-

#ifdef forget-gpio-examples   forget-gpio-examples

marker forget-gpio-examples

#ifndef P1.0  0 mask P1 pin: P1.0  \ LED1, green, MSP-EXP430FR5969

#ifndef P4.6  6 mask P4 pin: P4.6  \ LED2, red, MSP-EXP430FR5969

\ Show current P4.6 state :
  P4.6 DIR bi@ .
  P4.6 SEL0 bi@ .
  P4.6 SEL1 bi@ .
  P4.6 SELC bi@ .

\ Iinit P4.6 as digital output :
  P4.6 DIR bis
  P4.6 SEL0 bic
  P4.6 SEL1 bic
  P4.6 SELC bic


#ifndef P1.1  1 mask P1 pin: P1.1  \ S2, MSP-EXP430FR5969

\ Init P1.1 as digital input with pull-up resistor :
  P1.1 DIR bic
  P1.1 OUT bis
  P1.1 REN bis
  P1.1 SEL0 bic
  P1.1 SEL1 bic
  P1.1 SELC bic

  P1.1 IN bi@ .

#ifndef P4.5  5 mask P4 pin: P4.5  \ S1, MSP-EXP430FR5969

\ Init P1.1 as digital input with pull-up resistor :
  P4.5 DIR bic
  P4.5 OUT bis
  P4.5 REN bis
  P4.5 SEL0 bic
  P4.5 SEL1 bic
  P4.5 SELC bic

  P4.5 IN bi@ .
\ also :  5 mask P4 IN bi@ .
\         5 mask constant BIT5   BIT5 P4 IN bi@ .


\ Use the Px SELy registers to init special GPIO functions.

\ ------------------------------------------------------------------------------
\ Use  forget-gpio-examples [Enter]  to forget this example code.

